import manifest from '../_virtual/JuanBlanco.solidity-0.0.152.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/solidity.configuration.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/solidity.json', async () => (await import('../_virtual/solidity.json.raw.js').then(module => module)).default);

  registerFile('snippets/solidity.json', async () => (await import('../_virtual/solidity.json.raw2.js').then(module => module)).default);

  registerSyncFile('./solidity.configuration.json', resource_0, 'application/json');
});
