import manifest from '../_virtual/batisteo.vscode-django-1.10.0.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/language-configuration.json.raw2.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/django-html.tmLanguage.json', async () => (await import('../_virtual/django-html.tmLanguage.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/django-txt.tmLanguage.json', async () => (await import('../_virtual/django-txt.tmLanguage.json.raw.js').then(module => module)).default);

  registerFile('snippets/templates/tags.json', async () => (await import('../_virtual/tags.json.raw.js').then(module => module)).default);

  registerFile('snippets/templates/filters.json', async () => (await import('../_virtual/filters.json.raw.js').then(module => module)).default);

  registerSyncFile('./language-configuration.json', resource_0, 'application/json');
});
