import manifest from '../_virtual/bitwisecook.tcl-0.4.3.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/language-configuration.json.raw3.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('out/syntaxes/tcl.json', async () => (await import('../_virtual/tcl.json.raw.js').then(module => module)).default);

  registerFile('snippets/tcl.json', async () => (await import('../_virtual/tcl.json.raw2.js').then(module => module)).default);

  registerSyncFile('./language-configuration.json', resource_0, 'application/json');
});
