import manifest from '../_virtual/ckolkman.vscode-postgres-1.4.2.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/language-configuration.json.raw4.js';
import resource_1 from '../_virtual/postgres-explorer.svg.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/pgsql.tmLanguage', async () => (await import('../_virtual/pgsql.tmLanguage.raw.js').then(module => module)).default);

  registerSyncFile('./language-configuration.json', resource_0, 'application/json');

  registerSyncFile('resources/postgres-explorer.svg', resource_1, 'image/svg+xml');
});
