import manifest from '../_virtual/johnsoncodehk.vscode-angular-1.0.22.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/angular-template-language-configuration.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/angular-directives.json', async () => (await import('../_virtual/angular-directives.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/angular-interpolations.json', async () => (await import('../_virtual/angular-interpolations.json.raw.js').then(module => module)).default);

  registerSyncFile('./languages/angular-template-language-configuration.json', resource_0, 'application/json');
});
