import manifest from '../_virtual/scala-lang.scala-0.5.6.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/language-configuration.json.raw7.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/Scala.tmLanguage.json', async () => (await import('../_virtual/Scala.tmLanguage.json.raw.js').then(module => module)).default);

  registerSyncFile('./language-configuration.json', resource_0, 'application/json');
});
