import manifest from '../_virtual/Angular.ng-template-15.2.1.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/inline-template.json', async () => (await import('../_virtual/inline-template.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/inline-styles.json', async () => (await import('../_virtual/inline-styles.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/template.json', async () => (await import('../_virtual/template.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/expression.json', async () => (await import('../_virtual/expression.json.raw.js').then(module => module)).default);

});
