import manifest from '../_virtual/Dart-Code.dart-code-3.63.20230419.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/dart-language-configuration.json.raw.js';
import resource_1 from '../_virtual/flutter_activity_bar.svg.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/dart.json', async () => (await import('../_virtual/dart.json.raw.js').then(module => module)).default);

  registerSyncFile('./syntaxes/dart-language-configuration.json', resource_0, 'application/json');

  registerSyncFile('media/icons/flutter_activity_bar.svg', resource_1, 'image/svg+xml');
});
