import manifest from '../_virtual/JakeBecker.elixir-ls-0.14.5.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/elixir-language-configuration.json.raw.js';
import resource_1 from '../_virtual/eex-language-configuration.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/elixir.json', async () => (await import('../_virtual/elixir.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/eex.json', async () => (await import('../_virtual/eex.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/html-eex.json', async () => (await import('../_virtual/html-eex.json.raw.js').then(module => module)).default);

  registerSyncFile('./elixir-language-configuration.json', resource_0, 'application/json');

  registerSyncFile('./eex-language-configuration.json', resource_1, 'application/json');
});
