import manifest from '../_virtual/alefragnani.pascal-9.6.0.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/pascal.configuration.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/pascal.tmLanguage', async () => (await import('../_virtual/pascal.tmLanguage.raw.js').then(module => module)).default);

  registerFile('snippets/pascal.json', async () => (await import('../_virtual/pascal.json.raw.js').then(module => module)).default);

  registerSyncFile('./pascal.configuration.json', resource_0, 'application/json');
});
