import manifest from '../_virtual/broadcomMFD.cobol-language-support-1.2.1.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/lang-config.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/COBOL.tmLanguage.json', async () => (await import('../_virtual/COBOL.tmLanguage.json.raw.js').then(module => module)).default);

  registerSyncFile('./syntaxes/lang-config.json', resource_0, 'application/json');
});
