import manifest from '../_virtual/golang.Go-0.38.0.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/go.mod.language-configuration.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/go.mod.tmGrammar.json', async () => (await import('../_virtual/go.mod.tmGrammar.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/go.sum.tmGrammar.json', async () => (await import('../_virtual/go.sum.tmGrammar.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/govulncheck.tmGrammar.json', async () => (await import('../_virtual/govulncheck.tmGrammar.json.raw.js').then(module => module)).default);

  registerFile('snippets/go.json', async () => (await import('../_virtual/go.json.raw.js').then(module => module)).default);

  registerSyncFile('./languages/go.mod.language-configuration.json', resource_0, 'application/json');
});
