import manifest from '../_virtual/mathiasfrohlich.Kotlin-1.7.1.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/kotlin.configuration.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/Kotlin.tmLanguage', async () => (await import('../_virtual/Kotlin.tmLanguage.raw.js').then(module => module)).default);

  registerFile('syntaxes/codeblock.json', async () => (await import('../_virtual/codeblock.json.raw2.js').then(module => module)).default);

  registerFile('snippets/kotlin.json', async () => (await import('../_virtual/kotlin.json.raw.js').then(module => module)).default);

  registerSyncFile('./kotlin.configuration.json', resource_0, 'application/json');
});
