import manifest from '../_virtual/ms-dotnettools.csharp-1.25.4.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/language-configuration.json.raw5.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('src/razor/syntaxes/aspnetcorerazor.tmLanguage.json', async () => (await import('../_virtual/aspnetcorerazor.tmLanguage.json.raw.js').then(module => module)).default);

  registerFile('snippets/csharp.json', async () => (await import('../_virtual/csharp.json.raw.js').then(module => module)).default);

  registerFile('themes/vs2019_dark.json', async () => (await import('../_virtual/vs2019_dark.json.raw.js').then(module => module)).default);

  registerFile('themes/vs2019_light.json', async () => (await import('../_virtual/vs2019_light.json.raw.js').then(module => module)).default);

  registerSyncFile('./src/razor/language-configuration.json', resource_0, 'application/json');
});
