import manifest from '../_virtual/ms-python.python-2023.7.11111009.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/pip-requirements.json.raw.js';
import resource_1 from '../_virtual/condarc.json.raw.js';
import resource_2 from '../_virtual/conda-environment.json.raw.js';
import resource_3 from '../_virtual/conda-meta.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/pip-requirements.tmLanguage.json', async () => (await import('../_virtual/pip-requirements.tmLanguage.json.raw.js').then(module => module)).default);

  registerSyncFile('./languages/pip-requirements.json', resource_0, 'application/json');

  registerSyncFile('./schemas/condarc.json', resource_1, 'application/json');

  registerSyncFile('./schemas/conda-environment.json', resource_2, 'application/json');

  registerSyncFile('./schemas/conda-meta.json', resource_3, 'application/json');
});
