import manifest from '../_virtual/pgourlain.erlang-0.8.8.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/erlang.configuration.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('grammar/Erlang.plist', async () => (await import('../_virtual/Erlang.plist.raw.js').then(module => module)).default);

  registerFile('snippets/erlang.json', async () => (await import('../_virtual/erlang.json.raw.js').then(module => module)).default);

  registerSyncFile('./erlang.configuration.json', resource_0, 'application/json');
});
