import * as monaco from 'monaco-editor/esm/vs/editor/editor.api';
export { monaco };
export { createEditor, createModelReference, initializePromise, registerEditorOpenHandler } from './monaco.js';
export { getConfiguration, onConfigurationChanged, registerConfigurations, registerDefaultConfigurations } from './configuration/index.js';
export { getMonacoLanguage, loadLanguage } from './languages/index.js';
export { updateEditorKeybindingsMode, updateKeybindings } from './keybindings/index.js';
import './style.js';
export { collapseCodeSections, hideCodeWithoutDecoration, lockCodeWithoutDecoration } from './tools.js';
export { getUserConfiguration, onUserConfigurationChange, updateUserConfiguration } from 'vscode/service-override/configuration';
